Subject: bug#9990: valgrind warning in add_row_entry

From: Dan Nicolaescu <[email-masked]>
Date: Tue, 15 Nov 2011 12:21:56 -0500

Eli Zaretskii <[email-masked]> writes:

>> From: Dan Nicolaescu <[email-masked]>
>> Cc: [email-masked]
>> Date: Fri, 11 Nov 2011 15:20:19 -0500
>> 
>> I haven't seen the one in row_equal_p anymore (but that one was not easy
>> to reproduce), the ones in update_window still show up.
>
> I added a function that verifies the hash value of glyph rows before
> it is used in row_equal_p, and also in adjust_glyph_matrix, where the
> offending reallocation takes place.  I cannot trigger the xasserts
> that use this function when I use "C-h H".  Can you?

BTW, why is the hash only using 28 bits instead of the full 32?  Won't
it get a bit more precision if using 32?